libstdc++

Classes | Namespaces | Macros
queue.h File Reference

Go to the source code of this file.

## Classes

class | __gnu_parallel::_RestrictedBoundedConcurrentQueue< _Tp >
| Double-ended queue of bounded size, allowing lock-free atomic access. push_front() and pop_front() must not be called concurrently to each other, while pop_back() can be called concurrently at all times. `empty()`, `size()`, and `top()` are intentionally not provided. Calling them would not make sense in a concurrent setting. More...

## Namespaces

namespace | __gnu_parallel

## Macros

#define | _GLIBCXX_VOLATILE

## Detailed Description

Lock-free double-ended queue. This file is a GNU parallel extension to the Standard C++ Library.

Definition in file queue.h.

## Macro Definition Documentation

#define _GLIBCXX_VOLATILE

Decide whether to declare certain variable volatile in this file.

Definition at line 40 of file queue.h.